using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.OG;using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.OG
{
    /// <summary>
    /// 外部联系沟通记录
    /// </summary>
    [Description("外部联系沟通记录")]
    public class T_OG_EXTERNAL_CONTACT_COMMUNICATE_FILE : MesEntityBase
    {
        /// <summary>
        /// 外部联系沟通记录
        /// </summary>
        [Description("外部联系沟通记录")]
        [DataFieldForeignKey("Nav_ExternalContactCommunicate", "Nav_FileList")]
        public Guid EXTERNAL_CONTACT_COMMUNICATE_ID { get; set; }

        /// <summary>
        /// 导航: 外部联系沟通记录
        /// </summary>
        [Description("导航: 外部联系沟通记录")]
        public T_OG_EXTERNAL_CONTACT_COMMUNICATE Nav_ExternalContactCommunicate { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
